Get Dataset Version
curl --request GET \
--url https://api.woodwide.ai/datasets/{dataset_id}/versions/{version_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.woodwide.ai/datasets/{dataset_id}/versions/{version_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.woodwide.ai/datasets/{dataset_id}/versions/{version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataset_version_id": "a1b2c3d4-0000-0000-0000-000000000002",
"dataset_id": "a1b2c3d4-0000-0000-0000-000000000001",
"version": 1,
"status": "ready",
"created_at": "2025-01-15T10:30:00Z"
}{
"detail": "Not authenticated"
}{
"detail": "Forbidden"
}{
"detail": "Not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit exceeded. Retry after a short delay."
}Endpoints
Get Dataset Version
Get details of a specific dataset version, including schema, stats, and ingestion status.
GET
/
datasets
/
{dataset_id}
/
versions
/
{version_id}
Get Dataset Version
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Dataset version detail.
Includes schema information. The status
field indicates whether the version is ready for use.
Version status.
Available options:
processing, ready, failed Inferred column schema.
Size of the dataset version in bytes.
ID of the ingestion job that created this version.
When the version became ready for use.
Was this page helpful?